override_config_data(3)

NAME
override_config_data - Specifies a block of data containing config overrides. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

void override_config_data(const char *data, int length);

DESCRIPTION
Version of override_config_file() which uses a block of data that has already been read into memory. The length of the block has to be specified in bytes. Example:
   /* Force German as system language, Spanish keyboard map. */
   const char *override_data = "[system]\n"
      "language=DE\n"
      "keyboard=ES";
   override_config_data(override_data, ustrsize(override_data));
Note that this function and override_config_file() are mutually exclusive, i.e. calling one will cancel the effects of the other.

SEE ALSO
override_config_file(3), set_config_data(3)